View Issue Details

IDProjectCategoryView StatusLast Update
0000614bareos-core[All Projects] directorpublic2017-11-30 10:06
Reporternasenmann72Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
PlatformLinuxOSUbuntuOS Version14.04
Product Version15.2.2 
Fixed in Version 
Summary0000614: Command 'purge volume action=truncate storage=file allpools' asks for pool although parameter 'allpools' is given
DescriptionWhen you are trying to run the following command in bconsole, the command ist not executed, instead the command asks to select a pool. But it should be run on all pools.


*purge volume action=truncate storage=File allpools

This command can be DANGEROUS!!!

It purges (deletes) all Files from a Job,
JobId, Client or Volume; or it purges (deletes)
all Jobs from a Client or Volume without regard
to retention periods. Normally you should use the
PRUNE command, which respects retention periods.
Defined Pools:
     1: Scratch
     2: Default
     3: File-Monthly
     4: File-Weekly
     5: File-Daily
     6: Tape-Monthly
     7: Tape-Weekly
     8: Tape-Daily
Select the Pool (1-8):
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impactyes
bareos-15.2: actionnone
bareos-14.2: impact
bareos-14.2: actionnone
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000734 closedstephand Release bareos-16.2.5 

Activities

joergs

joergs

2016-11-14 18:25

developer   ~0002444

We decided, that the combined functionality of the purge command to purge entries from the catalog and truncate volumes on the storage daemon is not obvious and potential risky.
We will introduce the "truncate" command. It is already implemented, but regression testing must be added.
joergs

joergs

2017-11-30 10:06

developer   ~0002828

Replacing "truncate" command is available for some time now.

Related Changesets

bareos: bareos-16.2 1ebe9c96

2016-11-03 17:43:08

joergs

Ported: N/A

Details Diff
added truncate command

The truncate command allows to truncate purged volumes.
This can be use to free some disk space.
Affected Issues
0000614
mod - src/cats/cats.h Diff File
mod - src/cats/protos.h Diff File
mod - src/cats/sql.c Diff File
mod - src/cats/sql_get.c Diff File
mod - src/cats/sql_list.c Diff File
mod - src/dird/protos.h Diff File
mod - src/dird/ua.h Diff File
mod - src/dird/ua_acl.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_input.c Diff File
mod - src/dird/ua_label.c Diff File
mod - src/dird/ua_output.c Diff File
mod - src/dird/ua_select.c Diff File

Issue History

Date Modified Username Field Change
2016-02-05 12:19 nasenmann72 New Issue
2016-02-25 17:36 maik Status new => acknowledged
2016-11-14 18:22 joergs Assigned To => joergs
2016-11-14 18:22 joergs Status acknowledged => assigned
2016-11-14 18:22 joergs bareos-master: impact => yes
2016-11-14 18:22 joergs bareos-16.2: impact => yes
2016-11-14 18:22 joergs bareos-15.2: impact => yes
2016-11-14 18:22 joergs bareos-15.2: action => none
2016-11-14 18:22 joergs bareos-14.2: action => none
2016-11-14 18:22 joergs bareos-13.2: action => none
2016-11-14 18:22 joergs bareos-12.4: action => none
2016-11-14 18:25 joergs Note Added: 0002444
2016-12-03 12:15 joergs Changeset attached => bareos bareos-16.2 1ebe9c96
2016-12-03 14:25 joergs Relationship added child of 0000734
2017-03-06 12:24 maik bareos-master: action => fixed
2017-03-06 12:24 maik bareos-16.2: action => fixed
2017-11-30 10:06 joergs Note Added: 0002828
2017-11-30 10:06 joergs Status assigned => closed
2017-11-30 10:06 joergs Assigned To joergs =>
2017-11-30 10:06 joergs Resolution open => won't fix